Bug 1574462 - Problems with the package config file for the fftw3_mpi library
Summary: Problems with the package config file for the fftw3_mpi library
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: fftw
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Conrad Meyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 11:26 UTC by Pavel Ondračka
Modified: 2018-11-30 21:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:29:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Pavel Ondračka 2018-05-03 11:26:39 UTC
Description of problem:
I would like to link my program with both libfftw3 and libfftw3_mpi and preferably I would like to use the pkg-config for autodetection.
However at the moment it is not possible to detect both with pkgconfig, since the .pc files have both identical names.

IMO the libfftw3_mpi should have come with a fftw3_mpi.pc instead of fftw3.pc file and pkg-config --libs fftw3_mpi should result in the appropriate -L/usr/lib64/openmpi/lib -lfftw3_mpi

Version-Release number of selected component (if applicable):
3.3.5

How reproducible:
always


Steps to Reproduce:
1. install fftw-devel fftw-openmpi-devel 
2. module load openmpi
3. pkg-config --libs fftw3_mpi fftw3

Actual results:
Package fftw3_mpi was not found in the pkg-config search path.
Perhaps you should add the directory containing `fftw3_mpi.pc'
to the PKG_CONFIG_PATH environment variable
Package 'fftw3_mpi', required by 'virtual:world', not found

the call to pkg-config --libs fftw3 produces
-L/usr/lib64/openmpi/lib -lfftw3

Expected results:
I would expect the call to pkg-config --libs fftw3_mpi fftw3 to actually produce the following output: -L/usr/lib64/openmpi/lib -fftw3_mpi -lfftw3

Additional info:

Comment 1 Pavel Ondračka 2018-05-07 08:56:28 UTC
I found an upstream bug, discussing similar problematic:
https://github.com/FFTW/fftw3/issues/57

So dunno if this should or even can be fixed in the Fedora side (rpm spec file) or upstream? I might have time to try prepare some patches, but ATM I'm not sure what the proper solution should be.

Comment 2 Ben Cotton 2018-11-27 15:48:01 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2018-11-30 21:29:55 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.